-- Chilean regions
-- GPL v2 or later
-- provided by Uwe Koch Kronberg (<uwe.koch@opticakoch.cl>)


BEGIN;

-- remove old Chilean regions
DELETE FROM dem.state WHERE country = 'CL';

-- insert new ones
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XVa', 'Arica (Arica y Parinacota)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XVp', 'Parinacota (Arica y Parinacota)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Ii', 'Iquique (Tarapacá)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'It', 'Tamarugal (Tarapacá)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IIa', 'Antofagasta (Antofagasta)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IIe', 'El Loa (Antofagasta)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IIt', 'Tocopilla (Antofagasta)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IIIco', 'Copiapó (Atacama)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IIIch', 'Chañaral (Atacama)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IIIh', 'Huasco (Atacama)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IVe', 'Elqui (Coquimbo)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IVc', 'Choapa (Coquimbo)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IVl', 'Limarí (Coquimbo)');


INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vv', 'Valparaíso (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vi', 'Isla de Pascua (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vl', 'Los Andes (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vpe', 'Petorca (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vqu', 'Quillota (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vsa', 'San Antonio (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vsf', 'San Felipe de Aconcagua (Valparaíso)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Vm', 'Marga Marga (Valparaíso)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'RMs', 'Santiago (Región Metropolitana de Santiago)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'RMco', 'Cordillera (Región Metropolitana de Santiago)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'RMch', 'Chacabuco (Región Metropolitana de Santiago)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'RMma', 'Maipo (Región Metropolitana de Santiago)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'RMme', 'Melipilla (Región Metropolitana de Santiago)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'RMt', 'Talagante (Región Metropolitana de Santiago)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIcch', 'Cachapoal (Del Libertador Gral. Bernardo O''Higgins)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIcrd', 'Cardenal Caro (Del Libertador Gral. Bernardo O''Higgins)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIcol', 'Colchagua (Del Libertador Gral. Bernardo O''Higgins)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIt', 'Talca (Del Maule)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIca', 'Cuaquenes (Del Maule)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIcu', 'Curicó (Del Maule)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIL', 'Linares (Del Maule)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIIc', 'Concepción (Del Biobío)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIIa', 'Arauco (Del Biobío)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIIb', 'Biobío (Del Biobío)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'VIIIn', 'Ñuble (Del Biobío)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IXc', 'Cautín (De La Araucanía)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'IXm', 'Malleco (De La Araucanía)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIVv', 'Valdivia (De Los Ríos)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIVr', 'Ranco (De Los Ríos)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Xl', 'Llanquihue (De Los Lagos)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Xc', 'Chiloé (De Los Lagos)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Xo', 'Osorno (De Los Lagos)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'Xp', 'Palena (De Los Lagos)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIco', 'Coihaique (Aisén Del Gral. Carlos Ibañez Del Campo)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIa', 'Aisén (Aisén Del Gral. Carlos Ibañez Del Campo)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIca', 'Capitán Prat (Aisén Del Gral. Carlos Ibañez Del Campo)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIg', 'General Carrera (Aisén Del Gral. Carlos Ibañez Del Campo)');

INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIIm', 'Magallanes (Magallanes y De La Antártica Chilena)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIIa', 'Antártica Chilena (Magallanes y De La Antártica Chilena)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIIt', 'Tierra del Fuego (Magallanes y De La Antártica Chilena)');
INSERT INTO dem.state(country, code, name) VALUES ('CL', 'XIIu', 'Última Esperanza (Magallanes y De La Antártica Chilena)');

COMMIT;
